Bank Mega Syariah Existing - Bug #1830

[ESS-PMS Final Direct] User tidak bisa melanjutkan ess karena harus must calculate first tetapi
sudah di calculate.

11/28/2022 11:30 AM - Muhammad Bintar

Status: Closed Start date: 11/28/2022
Priority: Urgent Due date: 11/30/2022
Assignee: M Azid Wahyudi % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 1.50 hour
Description

dear tim developer mohon support nya untuk perbaikan pada ess dimana pada saat melakukan submit terjadi error calculate first
padahal sudah di calculate.
History

#1 - 11/28/2022 02:33 PM - Kezia Pawitra Yulianti
- Due date set to 11/30/2022
- Status changed from New to Assigned

- Priority changed from Normal to Urgent

#2 - 11/28/2022 03:39 PM - M Azid Wahyudi

- Assignee changed from Saswanto Tampan to Muhammad Bintar

dear masbin , udah bisa di test ya
package : E\APP\BMS\WebClient\erp\controller\wf\pmsperform\ctr_pfdir.js

update di before submitnya :
onDocumentBeforeSubmit: function (submit, taskId, me) {

var KPIVALUE ='0"';

’

var RecKPI = me.getGridKPI () .store.getRange();

if (taskId === 'start' || taskId === '"'){
KPIVALUE="1";
} else {
for (let i = 0; i < RecKPI.length; i++) {
if (RecKPI [i].data.kpi_appl_value.toString() !="0") {
KPIVALUE="1";
}
}
}
if (taskId === 'start' || taskId === '"'){
var calculatedo = "1";
} else {
var calculatedo = MinovaUtil.WORKFLOW.getViewBodyWorkflow () .down ('textfield[name=sum_calculated_k
pil') .getvValue();

}

makasih

#3 - 11/29/2022 02:16 PM - Kezia Pawitra Yulianti
- Status changed from Assigned to QA Test

#4 - 12/09/2022 02:23 PM - Muhammad Bintar

- Status changed from QA Test to

Closed

- Assignee changed from Muhammad Bintar to M Azid Wahyudi
